/*
 * generated by Xtext 2.13.0
 */
package com.javadude.dsl5.ui;

import com.google.inject.Injector;
import com.javadude.dsl5.ui.internal.Dsl5Activator;
import org.eclipse.core.runtime.Platform;
import org.eclipse.xtext.ui.guice.AbstractGuiceAwareExecutableExtensionFactory;
import org.osgi.framework.Bundle;

/**
 * This class was generated. Customizations should only happen in a newly
 * introduced subclass. 
 */
public class GothicSecurityDslExecutableExtensionFactory extends AbstractGuiceAwareExecutableExtensionFactory {

	@Override
	protected Bundle getBundle() {
		return Platform.getBundle(Dsl5Activator.PLUGIN_ID);
	}
	
	@Override
	protected Injector getInjector() {
		Dsl5Activator activator = Dsl5Activator.getInstance();
		return activator != null ? activator.getInjector(Dsl5Activator.COM_JAVADUDE_DSL5_GOTHICSECURITYDSL) : null;
	}

}
